Loading...
Searching...
No Matches
Opm::EclIO::OutputStream::Restart Class Reference

File manager for restart output streams. More...

`#include <OutputStream.hpp>`

## Public Member Functions

| Restart (const ResultSet &rset, const int seqnum, const Formatted &fmt, const Unified &unif)
| Constructor.
| Restart (const Restart &rhs)=delete
| Restart (Restart &&rhs)
Restart & | operator= (const Restart &rhs)=delete
Restart & | operator= (Restart &&rhs)
void | message (const std::string &msg)
| Generate a message string (keyword type 'MESS') in underlying output stream.
void | write (const std::string &kw, const std::vector< int > &data)
| Write integer data to underlying output stream.
void | write (const std::string &kw, const std::vector< bool > &data)
| Write boolean data to underlying output stream.
void | write (const std::string &kw, const std::vector< float > &data)
| Write single precision floating point data to underlying output stream.
void | write (const std::string &kw, const std::vector< double > &data)
| Write double precision floating point data to underlying output stream.
void | write (const std::string &kw, const std::vector< std::string > &data)
| Write unpadded string data to underlying output stream.
void | write (const std::string &kw, const std::vector< PaddedOutputString< 8 > > &data)
| Write padded character data (8 characters per string) to underlying output stream.

## Detailed Description

File manager for restart output streams.

## Constructor & Destructor Documentation

## Restart()

Opm::EclIO::OutputStream::Restart::Restart | ( | const ResultSet & | rset,
|  | const int | seqnum,
|  | const Formatted & | fmt,
|  | const Unified & | unif )

explicit

Constructor.

Opens file stream pertaining to restart of particular report step and also outputs a SEQNUM record in the case of a unified output stream.

Must be called before accessing the stream object through the stream() member function.

Parameters

  [in] | rset | Output directory and base name of output stream.
  [in] | seqnum | Sequence number of new report. One-based report step ID.
  [in] | fmt | Whether or not to create formatted output files.
  [in] | unif | Whether or not to create unified output files.

## Member Function Documentation

## message()

void Opm::EclIO::OutputStream::Restart::message | ( | const std::string & | msg | ) |

Generate a message string (keyword type 'MESS') in underlying output stream.

Parameters

  [in] | msg | Message string (e.g., "STARTSOL").

## write() [1/6]

void Opm::EclIO::OutputStream::Restart::write | ( | const std::string & | kw,
|  | const std::vector< bool > & | data )

Write boolean data to underlying output stream.

Parameters

  [in] | kw | Name of output vector (keyword).
  [in] | data | Output values.

## write() [2/6]

void Opm::EclIO::OutputStream::Restart::write | ( | const std::string & | kw,
|  | const std::vector< double > & | data )

Write double precision floating point data to underlying output stream.

Parameters

  [in] | kw | Name of output vector (keyword).
  [in] | data | Output values.

## write() [3/6]

void Opm::EclIO::OutputStream::Restart::write | ( | const std::string & | kw,
|  | const std::vector< float > & | data )

Write single precision floating point data to underlying output stream.

Parameters

  [in] | kw | Name of output vector (keyword).
  [in] | data | Output values.

## write() [4/6]

void Opm::EclIO::OutputStream::Restart::write | ( | const std::string & | kw,
|  | const std::vector< int > & | data )

Write integer data to underlying output stream.

Parameters

  [in] | kw | Name of output vector (keyword).
  [in] | data | Output values.

## write() [5/6]

void Opm::EclIO::OutputStream::Restart::write | ( | const std::string & | kw,
|  | const std::vector< PaddedOutputString< 8 > > & | data )

Write padded character data (8 characters per string) to underlying output stream.

Parameters

  [in] | kw | Name of output vector (keyword).
  [in] | data | Output values.

## write() [6/6]

void Opm::EclIO::OutputStream::Restart::write | ( | const std::string & | kw,
|  | const std::vector< std::string > & | data )

Write unpadded string data to underlying output stream.

Parameters

  [in] | kw | Name of output vector (keyword).
  [in] | data | Output values.

The documentation for this class was generated from the following files:

- opm/io/eclipse/OutputStream.hpp
- opm/io/eclipse/OutputStream.cpp